<?php
define("MAJOR", 'Rupees');
define("MINOR", 'Only');
class toWords
{
    var $pounds;
    var $pence;
    var $major;
    var $minor;
    var $words = '';
    var $number;
    var $magind;
    var $units = array('', 'One', 'Two', 'Three', 'Four', 'Five', 'Six', 'seven', 'Eight', 'Nine');
    var $teens = array('Ten', 'Eleven', 'Twelve', 'Thirteen', 'Fourteen', 'Fifteen', 'Sixteen', 'seventeen', 'Eighteen', 'Nineteen');
    var $tens = array('', 'Ten', 'Twenty', 'Thirty', 'Forty', 'Fifty', 'Sixty', 'Seventy', 'Eighty', 'Ninety');
    var $mag = array('', 'Thousand', 'Million', 'Billion', 'Trillion');

    function toWords($amount, $major = MAJOR, $minor = MINOR)
    {
        $this->__toWords__((int)($amount), $major);
        $whole_number_part = $this->words;
        #$right_of_decimal = (int)(($amount-(int)$amount) * 100);
        $strform = number_format($amount,2);
        $right_of_decimal = (int)substr($strform, strpos($strform,'.')+1);
        $this->__toWords__($right_of_decimal, $minor);
        $this->words = $whole_number_part . ' ' . $this->words;
    }

    function __toWords__($amount, $major)
    {
        $this->major  = $major;
        #$this->minor  = $minor;
        $this->number = number_format($amount, 2);
        list($this->pounds, $this->pence) = explode('.', $this->number);
        $this->words = " $this->major";
        if ($this->pounds == 0)
            $this->words = "$this->words";
        else {
            $groups = explode(',', $this->pounds);
            $groups = array_reverse($groups);
            for ($this->magind = 0; $this->magind < count($groups); $this->magind++) {
                if (($this->magind == 1) && (strpos($this->words, 'hundred') === false) && ($groups[0] != '000'))
                    $this->words = ' and ' . $this->words;
                $this->words = $this->_build($groups[$this->magind]) . $this->words;
            }
        }
    }

    function _build($n)
    {
        $res = '';
        $na  = str_pad("$n", 3, "0", STR_PAD_LEFT);
        if ($na == '000')
            return '';
        if ($na{0} != 0)
            $res = ' ' . $this->units[$na{0}] . ' hundred';
        if (($na{1} == '0') && ($na{2} == '0'))
            return $res . ' ' . $this->mag[$this->magind];
        $res .= $res == '' ? '' : ' and';
        $t = (int) $na{1};
        $u = (int) $na{2};
        switch ($t) {
            case 0:
                $res .= ' ' . $this->units[$u];
                break;
            case 1:
                $res .= ' ' . $this->teens[$u];
                break;
            default:
                $res .= ' ' . $this->tens[$t] . ' ' . $this->units[$u];
                break;
        }
        $res .= ' ' . $this->mag[$this->magind];
        return $res;
    }
}
?>


<html>
<head>
<style>
table {
    border-collapse: collapse;
}

table, td, th {
    border: 1px solid black;
}
body, html {
    height: 80%;
}

.bg { 
    /* The image used */
    background-image: url(../img/bground1.jpg); 
    height: 100%; 
	/* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.break { page-break-before: always; }

.ttable {
    border: 1px solid #CCC;
    border-collapse: collapse;
}

.ttd {
    border: none;
}

p  {
    font-size: 80%;
}
</style>
</head>
<body>
<div class="bg">
<p align="center"><img src="../img/invoices.jpg" width="900" height="112"></p>

<?php 
					include 'connection.php';	
					$id=intval($_REQUEST['BillNo']);
                                                                                $ftaxes=intval($_REQUEST['ftx']);
					$deprt=$_COOKIE['duty'];                                                                               
                                                $rs = mysqli_query($conn,"select count(id) AS ID from saledet where BillNo=$id");
			$items = @mysqli_fetch_array($rs);
			$rNos=$items['ID'];
			$trNo=20-$rNos;
                                        
					$sql= "SELECT salehdr.BillNo,salehdr.bDate,customer.bName,salehdr.Discount,salehdr.Cash,salehdr.CusID,"
                                                . "salehdr.cAmount,salehdr.chqAmount,salehdr.chqNo,salehdr.cheque,salehdr.vehNo,customer.Address,NTNNo,STNNo"
                                                . " from salehdr,customer  where salehdr.cusID=customer.cusID and BillNo=$id";
					$result = mysqli_query($conn,$sql);
					$row=mysqli_fetch_row($result);
                                        $dt=date("d-m-Y",strtotime($row[1]));                                 
                                        print"<table width=100% class=ttable ><col width=20><col width=80><col width=60>"
                                        . "<tr><td class=ttd>Busniess Name:     ". $row[2]."</td><td class=ttd></td><td class=ttd>IncoiceNo: ".$row[0]."/21-22</tr>
                                       <tr><td class=ttd>Address :  ". $row[11]."</td><td class=ttd></td><td class=ttd>Dated:". $dt."</td></tr>
                                       <tr><td class=ttd>ST Reg No.     ". $row[12]."</td><td class=ttd></td><td class=ttd>PO No:</tr>
                                       <tr><td class=ttd>N.T.N No:  ". $row[13]."</td><td class=ttd></td><td class=ttd>DC No:</tr></table><br>"; 
                                        
                                             
					
//--------------------------------------------------------------------------------------------------------------
					$sqldet= "SELECT prd.Description,saledet.Quantity,saledet.Rate,Quantity*Rate as Amount,saledet.Remarks,saledet.UOM from saledet,prd where saledet.PID=prd.PID and BillNo=$id";
					$resultdet = mysqli_query($conn,$sqldet);
					
					print"<table width=100%><tr>
                                                                                <th bgcolor=#D7FFEB >Sr.#</th>
					<th bgcolor=#D7FFEB >Particulars</th>
                                                                                <th bgcolor=#D7FFEB >SO No</th>					
					<th bgcolor=#D7FFEB >Quantity</th>
                                                                                <th bgcolor=#D7FFEB >Unit</th>
					<th bgcolor=#D7FFEB >Unit Price</th>
					<th bgcolor=#D7FFEB >Value of Goods</th>
					<th bgcolor=#D7FFEB >Value of S.Tax</th>
                                                                                <th bgcolor=#D7FFEB >Value of F.Tax</th>
                                                                                <th bgcolor=#D7FFEB >Value Incl. S.Tax</th>";
					$tAmt=0;	
                                                                                $sr=1;
                                                                             
					while($row1=mysqli_fetch_row($resultdet))
					{
					
                                                                                $tqty=$tqty+$row1[1];
                                                                                $tamout=$tamout+$row1[3];
                                                                                $stax=0.17* $row1[3];                                                                                
                                                                                $fftax= $ftaxes==0  ? 0: 0.04* $row1[3];
					$smttax=$row1[3]+$stax+$fftax;
                                                                                $tAmt+=$smttax;
                                                                                $ttax=$ttax+$stax+ $fftax;
                                                                                
		print "<tr><td align=center>" .  $sr. "</td><td align=center>" .$row1[0]. "</td><td></td><td align=center>" . $row1[1]. "</td><td align=center>" .  
                                $row1[5]."</td><td align=right>" . number_format($row1[2])  ."</td><td align=right>" . number_format($row1[3]) ."</td><td align=right>"
                               . number_format($stax) ."</td><td align=right>".number_format( $fftax) ."</td><td align=right>". number_format($smttax) ."</td></tr>";
                                $sr=$sr+1;
					}
                                                                               
                                        
                                        for($i;$i<=$trNo;$i++){
                                            
                                            print"<tr><td>.</td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>";
                                        }
                                        
                                        
                                        
                                                                                print "<th colspan=3 align=right>Total</th>";
                                      			print"<th align=right>". number_format($tqty)."</th>";
					print"<th colspan=3 align=right>". number_format($tamout)."</th>";
					print"<th  align=right>". number_format($ttax)."</th>";
                                                                                print"<th  colspan=2 align=right>". number_format($tAmt)."</th>";                                        
					print "</table></br>";
                                         $obj    = new toWords($tAmt);
                                 print"<table width=100% class=ttable ><col width=20><col width=80><col width=60>"
                                        . "<tr><td class=ttd>Amount in Words: </td><td class=ttd></td><td class=ttd>Value Including Sales Tax: ".$tAmt ."</tr>
                                       <tr><td class=ttd>$obj->words</td><td class=ttd></td><td class=ttd>  Advance Tax ( u/s 236G  or  236H) @</td></tr>
                                       <tr><td class=ttd></td><td class=ttd></td><td class=ttd> Invoice Amount :" . $tAmt ."</tr></table><br>";                                        
    mysqli_close($conn);
?>
<table>
    <tr><td><h4>For S . N TRADERS</h4></td></tr>
    <tr><td class="ttd" align="center"><h4>Authorized Signature</h4></td></tr>
    <tr><td class="ttd">.</td></tr>
    <tr><td class="ttd">.</td></tr>        
</table>
<h4>Note :</h4>
<p>
Please do not deduct Income Tax as we are exempted from I/Tax deduction U/S 153	<br>							
Under Sale Tax Act, 1990 11/th schedule we are exempted from with holding of Sale Tax .<br>								
All Payment should be made by cheque/Bank draft drawn in favour of " S.N Traders" and Crossed " Account Payee's Only"	</p>							

</div>
  </body>
</html>
